<?php

// API routes  for quote
Route::prefix('{guard}/quote')->group(function () {
    Route::get('quote/form/{element}', 'QuoteAPIController@form');
    Route::resource('quote', 'QuoteAPIController');
});

// Public routes for quote
Route::get('quotes/', 'QuotePublicController@index');
Route::get('quotes/{slug?}', 'QuotePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for quotes
            Route::prefix('{guard}/quote')->group(function () {
                Route::get('quote/form/{element}', 'QuoteAPIController@form');
                Route::apiResource('quote', 'QuoteAPIController');
            });
            // Public routes for quotes
            Route::get('quote/Quote', 'QuotePublicController@getQuote');
        }
    );
}

