<?php

// web routes  for quote
Route::prefix('{guard}/quote')->group(function () {
    Route::resource('quote', 'QuoteResourceController');
});

// Public routes for quote
Route::get('quotes/', 'QuotePublicController@index');
Route::get('quotes/{slug?}', 'QuotePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'QuoteResourceController');
            });
            // Public routes for pages
            Route::get('quotes/', 'QuotePublicController@index');
            Route::get('quotes/{slug?}', 'QuotePublicController@show');
        }
    );
}

