<?php

namespace Litepci\Quote\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class QuoteTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Quote\Models\Quote $quote)
    {
        return [
            'id'                => $quote->getRouteKey(),
            'key'               => [
                'public'    => $quote->getPublicKey(),
                'route'     => $quote->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('quote/'.$quote->getPublicKey()),
                'user'      => guard_url('quote/quote/'.$quote->getRouteKey()),
            ], 
            'status'            => trans('app.'.$quote->status),
            'created_at'        => format_date($quote->created_at),
            'updated_at'        => format_date($quote->updated_at),
        ];
    }
}